package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.BindAccountLogin;
import cn.com.ctop.common.module.vo.PangolinProjectVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.apache.http.client.CookieStore;

import java.util.List;
import java.util.Map;

/**
 * @Description: 账号绑定-登陆
 * @Author: jeecg-boot
 * @Date: 2019-07-31
 * @Version: V1.0
 */
public interface IBindAccountLoginService extends IService<BindAccountLogin> {
    boolean checkLogin(BindAccountLogin bindAccountLogin, String response);

    /**
     * 查询
     *
     * @param accountId
     * @return
     */
    BindAccountLogin selectByAccountId(String accountId);

    Map<String, Object> getListByUserId(String userId);

    List<BindAccountLogin> getListByParams(String loginType,Integer status);

    CookieStore setCookie(BindAccountLogin bindAccountLogin,String domain) throws JsonProcessingException;

    BindAccountLogin getByParams(String accountName, String password, String advertiserId);

    List<PangolinProjectVO> getProjectByParams(String userId, String loginType);

}
